striter Struct Reference
striter: Iterator over substrings of a str.

`#include <striter.h>`

## Data Fields

const struct str * | str
unsigned | start
const char * | startptr
unsigned | len
char | sep

## Detailed Description

The basic striter data type.

## Field Documentation

## len

unsigned striter::len

Length of the current substring.

Referenced by striter_advance(), and striter_start().

## sep

char striter::sep

The seperator used to delimit the substrings.

Referenced by striter_advance().

## start

unsigned striter::start

The starting offset of the current substring.

Referenced by dns_read_resolvconf(), striter_advance(), striter_start(), and striter_valid().

## startptr

const char* striter::startptr

Pointer to the current substring.

Referenced by dns_read_resolvconf(), envstr_find(), envstr_make_array(), striter_advance(), and striter_start().

## str

const struct str* striter::str

A pointer to the str being iterated over.

Referenced by striter_advance(), striter_start(), and striter_valid().

The documentation for this struct was generated from the following file:

- striter.h